---
---

$background-example: '../../{{ "public/placeholder.png" | default: "public/placeholder.png" | uri_escape }}';

// Convertir datos editables desde el panel en variables para usar directamente

{{ site.posts | find: "layout", "theme" | yaml_to_scss: site.data.layouts.theme }}

/// Redefinir variables de Boostrap en _data/theme.yml - Se las puede ver en
/// node_modules/bootstrap/scss/_variables.scss

{{ site.data.theme | yaml_to_scss }}

/// @todo Solo importar los archivos necesarios de bootstrap para
/// facilitar la reducción de CSS.  Por ahora pedimos todo para poder
/// empezar a trabajar en el HTML sin pensar en CSS.
@import "bootstrap/scss/bootstrap";
@import "fork-awesome/scss/fork-awesome";
@import "accessibility";
@import "utilities";
@import "toggler";
@import "share_box";
@import "embed";
@import "snap";
@import "editor";
@import "menu";
@import "content";
@import "fonts";
@import "floating_alert";

.border-gradient {
  border: 2px solid;
  border-image-slice: 1;
  border-width: 2px;
}
.border-gradient-primary-secondary {
  border-image-source: linear-gradient(to left, $primary, $secondary );
}
.border-gradient-bottom {
  border-left: 0;
  border-right: 0;
  border-top: 0;
}
.border-gradient-top {
  border-left: 0;
  border-right: 0;
  border-bottom: 0;
}
.turbo-progress-bar { background-color: $primary; }
